# Generated by rust2rpm 16
%bcond_without check
%global debug_package %{nil}

%global crate rust-embed

Name:           rust-%{crate}
Version:        5.8.0
Release:        2%{?dist}
Summary:        Custom Derive Macro which loads files into the rust binary

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/rust-embed
Source:         %{crates_source}
# Initial patched metadata
# * Remove optional features with missing dependencies:
#   - compression: missing include-flate
#   - nightly: missing rocket
Patch0:         rust-embed-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Rust Custom Derive Macro which loads files into the rust binary at compile time
during release and loads the file from the fs during dev.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license license
%doc readme.md changelog.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+actix-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+actix-devel %{_description}

This package contains library source intended for building other packages
which use "actix" feature of "%{crate}" crate.

%files       -n %{name}+actix-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+actix-web-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+actix-web-devel %{_description}

This package contains library source intended for building other packages
which use "actix-web" feature of "%{crate}" crate.

%files       -n %{name}+actix-web-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+debug-embed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-embed-devel %{_description}

This package contains library source intended for building other packages
which use "debug-embed" feature of "%{crate}" crate.

%files       -n %{name}+debug-embed-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+interpolate-folder-path-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+interpolate-folder-path-devel %{_description}

This package contains library source intended for building other packages
which use "interpolate-folder-path" feature of "%{crate}" crate.

%files       -n %{name}+interpolate-folder-path-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+mime_guess-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mime_guess-devel %{_description}

This package contains library source intended for building other packages
which use "mime_guess" feature of "%{crate}" crate.

%files       -n %{name}+mime_guess-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages
which use "tokio" feature of "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+warp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+warp-devel %{_description}

This package contains library source intended for building other packages
which use "warp" feature of "%{crate}" crate.

%files       -n %{name}+warp-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+warp-ex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+warp-ex-devel %{_description}

This package contains library source intended for building other packages
which use "warp-ex" feature of "%{crate}" crate.

%files       -n %{name}+warp-ex-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# doctests are broken
%cargo_test -- --lib
%endif

%changelog
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 2021 Fabio Valentini <decathorpe@gmail.com> - 5.8.0-1
- Update to version 5.8.0.

* Thu Dec 10 2020 Fabio Valentini <decathorpe@gmail.com> - 5.7.0-1
- Update to version 5.7.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 5.6.0-1
- Update to 5.6.0

* Fri May 15 18:20:09 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 5.5.1-1
- Initial package
